## Function `arrayFunc( expr, inArray )`

Description:
  Returns a floating-point array resulting from applying a given function expression element-by-element to an input array. The output array is the same length as the input array.

  The supplied expression can use the variable "`x`" to refer to the corresponding element of the input array, and "`i`" to refer to its (zero-based) index. The various functions and operators from the expression language can all be used, but it is currently not possible to reference other table column values.

  If there is an error in the expression, a blank value (not an array) will be returned.

Parameters:
  `expr` (String)
    expression mapping input to output array values
  `inArray` (Object)
    input array

Return Value (array of floating point):
  floating point array with the same number of elements as `inArray`, or null for a bad `expr`

Examples:
  - `arrayFunc("3*x",array(0,1,2,3,NaN)) = [0, 3, 6, 9, NaN]`
  - `arrayFunc("pow(2,i)+x", array(0.5,0.5,0.5,0.5)) = [1.5, 2.5, 4.5, 8.5]`

Signature:
  `double[] arrayFunc(String, Object)`